/*
 * COPYRIGHT (c) 2018 All rights reserved by HANWHA LIFE.
 */
package kr.co.zumo.app.lifeplus.bean.api;

import com.google.gson.annotations.SerializedName;

import kr.co.zumo.app.lifeplus.bean.JsonBeanBase;

/**
 * RequestBean
 * API 통신을 위해서 기본적으로
 * <pre>
 * </pre>
 *
 * @author 민효동
 * @version 1.0
 * @history 민효동   [2018. 10. 5.]   [최초 작성]
 * @since 2018. 10. 5.
 */
public class RequestBean extends JsonBeanBase {
  /*
  app_ver	사용자 아이디
  device_id	디바이스 아이디
  sid	사용자 아이디
  token	보안토큰
   */
  @SerializedName("app_ver")
  private String appVersion;
  @SerializedName("device_id")
  private String deviceId;
  @SerializedName("sid")  // aka userId
  private String sid;
  @SerializedName("token")
  private String token;

  public String getAppVersion() {
    return appVersion;
  }

  public void setAppVersion(String appVersion) {
    this.appVersion = appVersion;
  }

  public String getDeviceId() {
    return deviceId;
  }

  public void setDeviceId(String deviceId) {
    this.deviceId = deviceId;
  }

  public String getSid() {
    return sid;
  }

  public void setSid(String userId) {
    this.sid = userId;
  }

  public String getToken() {
    return token;
  }

  public void setToken(String token) {
    this.token = token;
  }
}
